# Teogor's Open Source Community Guidelines

In the realm of Teogor, the creativity and collaboration of open source contributors are
wholeheartedly celebrated. Teogor, as an individual, values the diverse tapestry of skills,
experiences, cultures, and perspectives that weave into the projects and communities.

All Teogor open source projects and communities adhere to a principle of inclusivity, embodying a
commitment to treating each individual respectfully, regardless of gender identity, expression,
sexual orientation, disabilities, neurodiversity, physical appearance, body size, ethnicity,
nationality, race, age, religion, or analogous personal attributes.

Teogor, as a person, places the highest importance on respectful behavior.

Respectful behavior embodies:

- Being considerate, kind, constructive, and supportive.
- Refraining from engaging in derogatory, discriminatory, harassing, hateful, sexualized, or
  physically threatening conduct, speech, or imagery.
- Choosing not to participate in unwelcome physical contact.

Certain Teogor open source projects may adopt a specific project code of conduct that outlines
further expectations for participants. In most cases, these projects will align with the
Teogor-developed [Contributor Covenant][].

[Contributor Covenant]: https://source.teogor.dev/docs/releasing/template/CODE_OF_CONDUCT/

## Seeking Peaceful Resolution

In the realm of disagreements, Teogor recognizes that not all conflict is detrimental. Positive
outcomes often arise from healthy debates and disagreements. However, as a persona, Teogor insists
that disrespectful behavior is never acceptable.

When encountering disrespectful behavior, Teogor encourages addressing the issue directly with the
individuals involved. Many matters can be swiftly resolved, granting participants control over their
dispute's outcome. If resolution is unattainable or if behavior is menacing or harassing, reporting
the incident is encouraged. The environment strives to provide a welcoming and secure space for
participants.

## Reporting Concerns

For specific Teogor open source projects, a designated Project Steward, embodying the persona of
Teogor, will handle reports of code of conduct violations. In instances where a project lacks a
Project Steward, issues can be reported by reaching out to open-source@teogor.dev.

Each complaint will be meticulously investigated, although direct responses may not always be
provided. Discretion will be exercised in determining how to address reported incidents, ranging
from no action to permanent expulsion from the project and related spaces. Accused parties will be
informed of the report's details, affording them an opportunity to discuss it prior to any action.
Reporter identities will be kept confidential when sharing report specifics with the accused. For
situations involving potential harm, such as ongoing harassment or threats, immediate action may be
taken without advance notice.
