## Ceres data

| Status | Library | Gradle dependency |
| ------ | ------- | ----------------- |
| 🧪 | [Ceres Data Compose](/data/compose) | [dev.teogor.ceres:data-compose:1.0.0-alpha01](#implementation-ceres-data-compose) |
| 🧪 | [Ceres Data Database](/data/database) | [dev.teogor.ceres:data-database:1.0.0-alpha01](#implementation-ceres-data-database) |
| 🧪 | [Ceres Data Datastore](/data/datastore) | [dev.teogor.ceres:data-datastore:1.0.0-alpha01](#implementation-ceres-data-datastore) |

By referring to the [BoM documentation](/docs/bom/versions.md), you can learn how to integrate the BoM into your project and benefit from this hassle-free approach to library version management. It's a powerful tool for staying up-to-date with the latest Ceres library versions and seamlessly integrating them into your projects.


### Implementation Ceres Data Compose

To use Ceres Data Compose in your Android project, add the following dependency to your module-level Gradle file (usually `app/build.gradle.kts`):

```kotlin
implementation("dev.teogor.ceres:data-compose:1.0.0-alpha01")
```

#### Gradle Dependency

- **Group ID:** `dev.teogor.ceres`
- **Artifact ID:** `data-compose`
- **Version:** `1.0.0-alpha01` (not required when using [BoM](/docs/bom/versions.md))

### Implementation Ceres Data Database

To use Ceres Data Database in your Android project, add the following dependency to your module-level Gradle file (usually `app/build.gradle.kts`):

```kotlin
implementation("dev.teogor.ceres:data-database:1.0.0-alpha01")
```

#### Gradle Dependency

- **Group ID:** `dev.teogor.ceres`
- **Artifact ID:** `data-database`
- **Version:** `1.0.0-alpha01` (not required when using [BoM](/docs/bom/versions.md))

### Implementation Ceres Data Datastore

To use Ceres Data Datastore in your Android project, add the following dependency to your module-level Gradle file (usually `app/build.gradle.kts`):

```kotlin
implementation("dev.teogor.ceres:data-datastore:1.0.0-alpha01")
```

#### Gradle Dependency

- **Group ID:** `dev.teogor.ceres`
- **Artifact ID:** `data-datastore`
- **Version:** `1.0.0-alpha01` (not required when using [BoM](/docs/bom/versions.md))


