## Ceres navigation

| Status | Library | Gradle dependency |
| ------ | ------- | ----------------- |
| 🧪 | [Ceres Navigation Common](/navigation/common) | [dev.teogor.ceres:navigation-common:1.0.0-alpha01](#implementation-ceres-navigation-common) |
| 🧪 | [Ceres Navigation Core](/navigation/core) | [dev.teogor.ceres:navigation-core:1.0.0-alpha01](#implementation-ceres-navigation-core) |
| 🧪 | [Ceres Navigation Events](/navigation/events) | [dev.teogor.ceres:navigation-events:1.0.0-alpha01](#implementation-ceres-navigation-events) |
| 🧪 | [Ceres Navigation Screen](/navigation/screen) | [dev.teogor.ceres:navigation-screen:1.0.0-alpha01](#implementation-ceres-navigation-screen) |
| 🧪 | [Ceres Navigation UI](/navigation/ui) | [dev.teogor.ceres:navigation-ui:1.0.0-alpha01](#implementation-ceres-navigation-ui) |

By referring to the [BoM documentation](/docs/bom/versions.md), you can learn how to integrate the BoM into your project and benefit from this hassle-free approach to library version management. It's a powerful tool for staying up-to-date with the latest Ceres library versions and seamlessly integrating them into your projects.


### Implementation Ceres Navigation Common

To use Ceres Navigation Common in your Android project, add the following dependency to your module-level Gradle file (usually `app/build.gradle.kts`):

```kotlin
implementation("dev.teogor.ceres:navigation-common:1.0.0-alpha01")
```

#### Gradle Dependency

- **Group ID:** `dev.teogor.ceres`
- **Artifact ID:** `navigation-common`
- **Version:** `1.0.0-alpha01` (not required when using [BoM](/docs/bom/versions.md))

### Implementation Ceres Navigation Core

To use Ceres Navigation Core in your Android project, add the following dependency to your module-level Gradle file (usually `app/build.gradle.kts`):

```kotlin
implementation("dev.teogor.ceres:navigation-core:1.0.0-alpha01")
```

#### Gradle Dependency

- **Group ID:** `dev.teogor.ceres`
- **Artifact ID:** `navigation-core`
- **Version:** `1.0.0-alpha01` (not required when using [BoM](/docs/bom/versions.md))

### Implementation Ceres Navigation Events

To use Ceres Navigation Events in your Android project, add the following dependency to your module-level Gradle file (usually `app/build.gradle.kts`):

```kotlin
implementation("dev.teogor.ceres:navigation-events:1.0.0-alpha01")
```

#### Gradle Dependency

- **Group ID:** `dev.teogor.ceres`
- **Artifact ID:** `navigation-events`
- **Version:** `1.0.0-alpha01` (not required when using [BoM](/docs/bom/versions.md))

### Implementation Ceres Navigation Screen

To use Ceres Navigation Screen in your Android project, add the following dependency to your module-level Gradle file (usually `app/build.gradle.kts`):

```kotlin
implementation("dev.teogor.ceres:navigation-screen:1.0.0-alpha01")
```

#### Gradle Dependency

- **Group ID:** `dev.teogor.ceres`
- **Artifact ID:** `navigation-screen`
- **Version:** `1.0.0-alpha01` (not required when using [BoM](/docs/bom/versions.md))

### Implementation Ceres Navigation UI

To use Ceres Navigation UI in your Android project, add the following dependency to your module-level Gradle file (usually `app/build.gradle.kts`):

```kotlin
implementation("dev.teogor.ceres:navigation-ui:1.0.0-alpha01")
```

#### Gradle Dependency

- **Group ID:** `dev.teogor.ceres`
- **Artifact ID:** `navigation-ui`
- **Version:** `1.0.0-alpha01` (not required when using [BoM](/docs/bom/versions.md))


