# Ceres Documentation

Welcome to the Ceres documentation! This documentation provides detailed information on various modules, Bill of Materials (BoM) versions, and usage guidelines for the Ceres Android library.

## Table of Contents

1. [Modules](#modules)
2. [Bill of Materials (BoM)](#bill-of-materials)
3. [Version Catalog](#version-catalog)

---

## Modules

Ceres is organized into multiple modules, each serving a specific purpose. These modules can be included selectively in your Android project to streamline development. Here are the available modules:

- [Backup](ceres-module-backup.md): The Backup module provides essential utilities for data backup and recovery.
- [Core](ceres-module-core.md): The core module provides essential utilities and foundation for Ceres.
- [Data](ceres-module-data.md): The data module offers data-related functionality for Ceres.
- [Firebase](ceres-module-firebase.md): Integrate Firebase services seamlessly with Ceres.
- [Framework](ceres-module-framework.md): Get access to framework-level components and features.
- [Monetisation](ceres-module-monetisation.md): Monetize your Android app using the Monetisation module.
- [Navigation](ceres-module-navigation.md): Efficiently handle app navigation with the Navigation module.
- [Screen](ceres-module-screen.md): Simplify screen management and UI with the Screen module.
- [UI](ceres-module-ui.md): Enhance your app's user interface using the UI module.

Each module documentation provides in-depth information on its features and how to integrate it into your project.

---

## Bill of Materials

The Bill of Materials (BoM) simplifies library version management by providing a centralized mechanism to manage versions across Ceres modules. Learn how to use the BoM in your project by referring to the [BoM documentation](bom/versions.md).

- [BoM Versions](bom/versions.md): Explore the available BoM versions and their release dates.

---

## Version Catalog

The Ceres Version Catalog provides implementation details of Ceres libraries and BoM versions in TOML format. It helps you manage library versions effortlessly. Refer to the [Version Catalog](ceres-version-catalog.md) to understand how to declare dependencies using the latest versions and access implementation details.

---

We hope this documentation helps you make the most of the Ceres Android library. If you have any questions or need further assistance, feel free to reach out to us. Happy coding!
